## Apache Zeta Components Manual :: Docs For Class ezcConsoleDialogOptions

### ConsoleTools::ezcConsoleDialogOptions

### Class ezcConsoleDialogOptions

Basic options class for ezcConsoleDialog implementations.

Source for this file: /ConsoleTools/src/options/dialog.php

    ezcBaseOptions
       |
       --ezcConsoleDialogOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConsoleQuestionDialogOptions | Basic options class for ezcConsoleDialog implementations.
ezcConsoleMenuDialogOptions | Basic options class for ezcConsoleDialog implementations.

### Properties

string | read/write | `$format` The output format for the dialog.
ezcConsoleDialogValidator | read/write | `$validator` The validator to use with this dialog.

### Member Variables

protected array(string=>mixed) | `$properties = array( "format" => "default", "validator" => null )` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3